Page MenuHomePhabricator

Inline lists in new print styles, have smaller font size than surrounding content
Closed, ResolvedPublic

Description

When visiting https://en.wikipedia.org/wiki/Songs_About_Jane and printing the document, inline lists within tables appear smaller than surrounding text.

This is due to the following css rule:

.vector-experimental-print-styles ol li, .vector-experimental-print-styles ul li {
    padding: 2px 0;
    font-size: 10pt;
}

Google code in

@Jdlrobson will mentor this.

Replication

Setup MobileFrontend and Vector.
The following code in your LocalSettings.php will help you test on real world content

$wgMFContentProviderClass = 'MobileFrontend\ContentProviders\MwApiContentProvider';
$wgMFAlwaysUseMobileFormatter = true;

Navigate to http://localhost/wiki/Songs_About_Jane and the article should now show in your local wiki inside Vector.
Scroll to "Track listing" section and you will notice the small font-size lists in the table (see screenshot below)

Acceptance criteria

  • We need to shrink the font-size of all lists, except lists within tables. Update the css rules inside the Vector extension so that the font size for lists inside tables in print mode is inherited from parent class.

Event Timeline

TheDJ created this task.Oct 20 2017, 9:37 AM

Is this vector or Minerva?
Is the style in user css or a repo?

Electron uses Print.css, doesn't it?

TheDJ updated the task description. (Show Details)Oct 20 2017, 7:48 PM
Jdlrobson raised the priority of this task from Low to Medium.Oct 20 2017, 8:08 PM
Jdlrobson updated the task description. (Show Details)

Ping @Nirzar - this one needs some input from you (see open questions!)

@Nirzar: Could you answer the two questions in the task summary? Thanks in advance! :)

Nirzar updated the task description. (Show Details)Nov 20 2017, 10:40 PM

answered. sorry about the delay but I would put this as a low priority

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 21 2017, 10:15 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 398445 had a related patch set uploaded (by Eflyjason; owner: Eflyjason):
[mediawiki/skins/Vector@master] Inline lists in new print styles should not have a smaller font size than surrounding content

https://gerrit.wikimedia.org/r/398445

Change 398445 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Inline lists in new print styles should not have a smaller font size than surrounding content

https://gerrit.wikimedia.org/r/398445

Nirzar a patch has been merged. Can you check the result is as expected? Beta cluster would be best place to test but I've also loaded it up on reading web staging.

Nirzar closed this task as Resolved.Dec 21 2017, 7:44 PM

Tested on beta cluster

Macro votecat: looks good

Thank you @eflyjason and @Jdlrobson